EndpointsCogents

Queue a policy build

PUT/v2/cogents/{cogent_id}/hermes/policy-builds/{build_id}

Queues a build for the connected workspace. Repeating the same build ID does not start another build.

Authorization

BearerAuth
AuthorizationBearer <token>

Bearer token issued by Softmax

In: header

Path Parameters

cogent_id*Cogent Id

The player that owns this Hermes instance.

Match^ply_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
build_id*Build Id

ID of the build to queue.

Formatuuid

Request Body

application/json

build_id*Build Id

ID used to deduplicate the build.

Formatuuid
provisioning_id*Provisioning Id

Workspace that will run the build.

Formatuuid
expires_at*Expires At

Deadline after which the build must not start.

Formatdate-time
source_url*Source Url

URL from which the host downloads the build input.

Lengthlength <= 3000
archive_url*Archive Url

URL to which the host uploads the image archive.

Lengthlength <= 3000
receipt_url*Receipt Url

URL to which the host uploads the build result.

Lengthlength <= 3000
cancel_url*Cancel Url

URL the host reads to check for cancellation.

Lengthlength <= 3000
curl -X PUT "https://softmax.com/api/observatory/v2/cogents/string/hermes/policy-builds/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "build_id": "bfb1f3fa-bf7b-43a5-9e0b-26cc050e44cb",    "provisioning_id": "5596d0b6-a4ae-442b-bd4f-e2bb97642fec",    "expires_at": "2019-08-24T14:15:22Z",    "source_url": "string",    "archive_url": "string",    "receipt_url": "string",    "cancel_url": "string"  }'
Empty